Bug 491023 - Format SO Card operation for formatting so card also formats a user card.
Format SO Card operation for formatting so card also formats a user card.
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
unspecified
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-18 18:34 EDT by Asha Akkiangady
Modified: 2015-01-04 18:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asha Akkiangady 2009-03-18 18:34:03 EDT
Description of problem:
Format SO Card operation for formatting so card also formats a user card.

Version-Release number of selected component (if applicable):
CS 8.0

How reproducible:


Steps to Reproduce:
1. Enroll a security officer token SOfficer1.
2. Login to SO workstation using SOfficer1 token.
3. Enroll a new user token for User1.
4. Format SO card and provide token for User1.
5. Click Format
  
Actual results:
Formats the User1 card.

Expected results:
Should not format User1 card,  an Error message Format key failed should be displayed.
Comment 1 Jack Magne 2009-05-20 17:18:23 EDT
The code to fix this bug: https://bugzilla.redhat.com/show_bug.cgi?id=491019 also addresses this issue.
Comment 2 Asha Akkiangady 2009-06-11 15:52:49 EDT
Verification failed.

A user card gets formatted when 'Format SO card' operation in the SO work station is performed on an enrolled user card.
Comment 3 Jack Magne 2009-06-11 17:56:53 EDT
This was a matter of a couple of .cgi files not being included in the tps rpm. This simple problem has been fixed. The next build should show this working correctly.
Comment 4 Asha Akkiangady 2009-07-09 15:53:14 EDT
Verified.

Format SO operation with an enrolled user card shows a dialog with message "You can't Format a User card here! Try another card" and user token can not be formatted. For this to be affective the user should exist in ou=people section in the base DN given for the user authentication.

Note You need to log in before you can comment on or make changes to this bug.